<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [RunningScript](./bitburner.runningscript.md) &gt; [onlineExpGained](./bitburner.runningscript.onlineexpgained.md)

## RunningScript.onlineExpGained property

Total amount of hacking experience earned from this script when online

**Signature:**

```typescript
onlineExpGained: number;
```
